
Core - Bug # 42925

Status: Resolved Priority: Should have
Author: Mario Rimann Category: File Abstraction Layer (FAL)
Created: 2012-11-13 Assigned To:
Updated: 2013-01-12 Due date:
TYPO3 Version: 6.0
PHP Version: 5.4
Complexity: medium
Is Regression:
Sprint Focus:
Subject: File-Upload does not sanitize umlauts in filenames
Description

When I upload an image file with the following name

smürfé.jpg

this file does not get renamed to something like

smuerfe.jpg

or the like as expected.

I tried to configure the System to explicitely not use an UTF8Filesystem (config option was undefined so I set it to "0"). Independent
of that setting, the file is stored with a filename with Umlauts which does not work on our server as the filesystem is not UTF-8
capable.

Related issues:
related to Core - Bug # 45221: Images with whitespaces in their names are not... Resolved 2013-02-06

Associated revisions
Revision 2bc44da9 - 2013-01-12 16:10 - Christian Weiske

[BUGFIX] File-Upload does not sanitize umlauts in filenames

This patch sanitizes file names for uploaded files, fixing thumbnail
and deletion issues for files with umlauts.

Change-Id: I9c02e357b7b37d1c09656ed14f50a8adb7593d52
Fixes: #42925
Releases: 6.0, 6.1
Reviewed-on: https://review.typo3.org/17464
Reviewed-by: Tilo Baller
Tested-by: Tilo Baller
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 21a67afb - 2013-01-12 16:11 - Christian Weiske
[BUGFIX] File-Upload does not sanitize umlauts in filenames

This patch sanitizes file names for uploaded files, fixing thumbnail
and deletion issues for files with umlauts.

Change-Id: I9c02e357b7b37d1c09656ed14f50a8adb7593d52
Fixes: #42925
Releases: 6.0, 6.1
Reviewed-on: https://review.typo3.org/17486
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision f9ebcda0 - 2013-04-06 16:57 - Helmut Hummel

[BUGFIX] Fix processed files if original has special chars

Filenames of files uploaded in TYPO3 CMS before 6.0.1
can contain problematic characters, because filename
sanitizing of added files was introduced with 6.0.1.

The same happens if files are not uploaded through
the TYPO3 backend and then indexed.

The filenames of processed files are sanitized when
adding them to the storage but the not sanitized
original filename identifier is kept in the database
record of the processed files, which causes wrong
generated paths.

Update the identifier of the processed file along
with all other properties after adding them
to the storage.

Change-Id: I53e4eb42def291ba88ce18209a348b1e2f592185
Resolves: #45221
Related: #42925
Releases: 6.1, 6.0
Reviewed-on: https://review.typo3.org/18529
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

Revision ed988a87 - 2013-04-06 16:58 - Helmut Hummel

[BUGFIX] Fix processed files if original has special chars

Filenames of files uploaded in TYPO3 CMS before 6.0.1
can contain problematic characters, because filename
sanitizing of added files was introduced with 6.0.1.

The same happens if files are not uploaded through
the TYPO3 backend and then indexed.
The filenames of processed files are sanitized when
adding them to the storage but the not sanitized
original filename identifier is kept in the database
record of the processed files, which causes wrong
generated paths.

Update the identifier of the processed file along
with all other properties after adding them
to the storage.

Change-Id: I53e4eb42def291ba88ce18209a348b1e2f592185
Resolves: #45221
Related: #42925
Releases: 6.1, 6.0
Reviewed-on: https://review.typo3.org/18529
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack
Reviewed-on: https://review.typo3.org/19682

History
#1 - 2012-11-15 11:35 - Patrick Broens
- Status changed from New to Accepted
- Target version set to 6.0.0-RC2
- Complexity set to medium

I can reproduce this when [SYS][UTF8filesystem] = 0 or undefined

#2 - 2012-12-11 09:43 - Lorenz Ulrich

File and folder names are only sanitized on renaming, not on uploading.

#3 - 2013-01-11 15:50 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17464

#4 - 2013-01-11 15:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17464

#5 - 2013-01-12 16:11 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17486
#6 - 2013-01-12 16:30 - Christian Weiske
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:21a67afb2eacbf07e47315860ae9d5350d94e063.
